Bug 21802 - Problems with Xircom adapter
Summary: Problems with Xircom adapter
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-06 14:52 UTC by Sammy
Modified: 2007-04-18 16:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 18:49:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sammy 2000-12-06 14:52:52 UTC
I have RH7.0+updates running on a DELL Inspiron 3800 notebook.
As the networking card I have Xircom 10/100 CE.. networking
card (no modem). The card is recognized by linux and it actually
works (uses tulip_cb driver) BUT when trasferring files it becomes
extremely slow. I substitute the PCMCIA card with a 3Com card and
it is blazingly fast. I read about problems with Xircom cards but
could not find a solution. I ported the pcmcia-3.1.22 package and
started using that but that did not solve the problem either. Any
suggestions would be appreciated.

Comment 1 Sammy 2000-12-07 20:10:11 UTC
The card is Xircom CBE2-100

Comment 2 David Crim 2002-04-09 18:46:19 UTC
I have been playing around with a Xircom CBEM56G under RedHat 7.2. This laptop
used to work great under RedHat 6.2. It has always had problems with newer
releases unless I rebuilt the kernel with an old PCMCIA driver set from the 6.2
days.

Recently I am having some success with a 2.4.9-21 kernel if I do the following:

1) shut down networking (service network stop)
2) remove the xircom_cb module (modprobe -r xircom_cb)
3) add the xircom_tulip_cb module (modprobe xircom_tulip_cb)
4) restart networking (service network start)

I have a script in /etc/init.d which does just this.

Using netperf perfomance went form < 20 Mbits/sec to > 75 Mbits/sec.

My question is, how is this selection supposed to be made without resorting to a
seperate init.d script? I have tried changing the /etc/pcmcia/config file with
no luck. I also saw references to hotplug. I saw that xircom_tulip_cb was in
/etc/hotplug/blacklist. I removed it and inserted xircom_cb in it's place. This
got me no xircom module loaded at all until I did it manually.


Comment 3 David Crim 2002-04-09 19:10:01 UTC
OK, I saw another xircom thread that mentioned using an "alias eth0
xircom_tulib_cb" entry in /etc/modules.conf. This has eliminated the need to run
an init.d script.

Comment 4 Alan Cox 2003-06-10 18:49:36 UTC
xircom_tulip_cb now handles this not quite tulip hw fine



Note You need to log in before you can comment on or make changes to this bug.